summaryrefslogtreecommitdiffstats
path: root/test/docker/alpine/install-packages.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:03:18 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:03:18 +0000
commitf4acb49ea148cdd899f7f29f1591c7bc853c2135 (patch)
treeb62d60873864065d6428a84a119dd8a3c90f1397 /test/docker/alpine/install-packages.sh
parentAdding upstream version 1:2.11. (diff)
downloadbash-completion-f4acb49ea148cdd899f7f29f1591c7bc853c2135.tar.xz
bash-completion-f4acb49ea148cdd899f7f29f1591c7bc853c2135.zip
Adding upstream version 1:2.12.0.upstream/1%2.12.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/docker/alpine/install-packages.sh')
-rwxr-xr-xtest/docker/alpine/install-packages.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/docker/alpine/install-packages.sh b/test/docker/alpine/install-packages.sh
new file mode 100755
index 0000000..7865703
--- /dev/null
+++ b/test/docker/alpine/install-packages.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -xeuo pipefail
+
+cd "${TMPDIR:-/tmp}"
+
+apk upgrade
+
+# Nothing much here, at least yet. Useful this way already in order to
+# test some very base executables, as well as ones that come from
+# busybox. Don't lose that if adding stuff here!
+
+# An arbitrary package containing an init script or the like for
+# testing service completion.
+apk add nginx-openrc